> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/tonic-api-generator-get-ids-metadata.md).

# Getting the generator IDs and available metadata

{% hint style="info" %}
Requires the Advanced API. The Advanced API requires an Enterprise license.
{% endhint %}

When you use the API to assign generators, you use the generator identifier.

To retrieve the list of generators, use:

[<mark style="background-color:blue;">**GET**</mark>**&#x20;api/GeneratorMetadata**](https://app.tonic.ai/apidocs/index.html#/GeneratorMetadata/GetAllGenerators)

In the results, the message body is an array of [`GeneratorMetadataResponseModel`](https://app.tonic.ai//apidocs/index.html#/models/GeneratorMetadataResponseModel) objects.

The information for each generator includes the generator ID. It also specifies whether the generator supports configuration options such as linking, consistency, differential privacy configuration, and partitioning.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/tonic-api-generator-get-ids-metadata.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
